# $Id$
# $FreeBSD: cfg_local.pm,v 1.26 2003/02/28 21:17:06 peter Exp $

####################################################################
####################################################################
# This file contains local configuration for the CVSROOT perl
# scripts.  It is loaded by cfg.pm and overrides the default
# configuration in that file.
#
# It is advised that you test it with
#     'env CVSROOT=/path/to/cvsroot perl -cw cfg.pm'
# before you commit any changes.  The check is to cfg.pm which
# loads this file.
####################################################################
####################################################################

# Noch nicht
#$CHECK_HEADERS = 1;
$IDHEADER = 'Id';
$UNEXPAND_RCSID = 1;

%TEMPLATE_HEADERS = (
#	"Reviewed by"		=> '.*',
#	"Submitted by"		=> '.*',
#	"Obtained from"		=> '.*',
#	"Approved by"		=> '.*',
#	"PR"			=> '.*',
#	"MFC after"		=> '\d+(\s+(days?|weeks?|months?))?'
);

$MAILADDRS = 'zs64-admin@zs64.net';
#$MAILCMD = "/usr/local/bin/mailsend -H";
$MAIL_BRANCH_HDR  = "X-SCHLEPPERBANDE";
$MAILBANNER = "Schlepperbande repository";
if (defined $ENV{'CVS_COMMIT_ATTRIB'}) {
  my $attrib = $ENV{'CVS_COMMIT_ATTRIB'};
  $MAILBANNER .= " ($attrib committer)";
}
$MAIL_TRANSFORM = sub {
	add_cvsweb_entry("https://koef.zs64.net/schlepperbande/cvs/cvsweb.cgi", @_);
};

$MAX_DIFF_SIZE = 4096;


# Sanity check to make sure we've been run through the wrapper and are
# now primary group 'ncvs'.
#
#$COMMITCHECK_EXTRA = sub {
#	my $GRP=`/usr/bin/id -gn`;
#	chomp $GRP;
#	unless ( $GRP =~ /^ncvs$/ ) {
#		print "You do not have group ncvs (commitcheck)!\n";
#		exit 1;	# We could return false here.  But there's
#			# nothing to stop us taking action here instead.
#	}
#	return 1;
#};

@LOG_FILE_MAP = (
	'CVSROOT'	=> '^CVSROOT/',
	'distrib'	=> '^distrib/',

	'test'		=> '^test/',

	'other'		=> '.*'
);

1; # Perl requires all modules to return true.  Don't delete!!!!
#end
